package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.ResultGradeMapper;
import com.lz.modules.flow.entity.ResultGrade;
import com.lz.modules.flow.model.ResultGradeDto;
import com.lz.modules.flow.service.ResultGradeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 等级表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/

@Service
public class ResultGradeServiceImpl extends ServiceImpl<ResultGradeMapper, ResultGrade> implements ResultGradeService {


    @Autowired
	private ResultGradeMapper resultGradeMapper;



	@Override
	public ResultGrade selectResultGradeById(Long id){
		return resultGradeMapper.selectResultGradeById(id);
	}



	@Override
	public Long insertResultGrade(ResultGrade resultGrade){
		return resultGradeMapper.insertResultGrade(resultGrade);
	}



	@Override
	public int updateResultGradeById(ResultGrade resultGrade){
		return resultGradeMapper.updateResultGradeById(resultGrade);
	}



	@Override
	public int updateCoverResultGradeById(ResultGrade resultGrade){
		return resultGradeMapper.updateCoverResultGradeById(resultGrade);
	}



	@Override
	public int deleteResultGradeById(Long id){
		return resultGradeMapper.deleteResultGradeById(id);
	}

	@Override
	public List<ResultGradeDto> selectResultGradeByGroupId(Long gid){
		return resultGradeMapper.selectResultGradeByGroupId(gid);
	}



}
